'From VisualWorks(TM), Release 1.0 of 8 October 1992 on 21 April 1994 at 2:15:49 pm'!



!OrderedCollection methodsFor: 'random'!

oneRandomExcept: anElement
	"Return pseudo-randomly one element of the collection.
	We assume check (its possibility) is done by the client."

	| i item |
	item := anElement.
	[item = anElement] whileTrue:
		[i := 1 + ((Random new next) * (self size)) truncated.
		item := self at: i].
	^item!

removeOneRandom
	"Remove pseudo-randomly one element of the bag."

	^self removeAtIndex: 1 + ((Random new next) * (self size)) truncated! !